<?php

$_cooked_settings = Cooked_Settings::get();

?>@media screen and ( max-width: <?php echo esc_html( $_cooked_settings['responsive_breakpoint_1'] ); ?>px ) {

    .cooked-recipe-modern { margin:3% -1.5%; width: 103%; }
    .cooked-recipe-modern.cooked-columns-3 .cooked-recipe,
    .cooked-recipe-modern.cooked-columns-4 .cooked-recipe,
    .cooked-recipe-modern.cooked-columns-5 .cooked-recipe,
    .cooked-recipe-modern.cooked-columns-6 .cooked-recipe { width:47%; margin:0 1.5% 3%; padding:0; }

    .cooked-recipe-fitness { margin:3% -1.5%; width: 103%; }
    .cooked-recipe-fitness.cooked-columns-3 .cooked-recipe,
    .cooked-recipe-fitness.cooked-columns-4 .cooked-recipe,
    .cooked-recipe-fitness.cooked-columns-5 .cooked-recipe,
    .cooked-recipe-fitness.cooked-columns-6 .cooked-recipe { width:47%; margin:0 1.5% 3%; padding:0; }

}

@media screen and ( max-width: <?php echo esc_html( $_cooked_settings['responsive_breakpoint_2'] ); ?>px ) {

	.cooked-recipe-grid .cooked-recipe-info .cooked-left > span { float:left; }
	.cooked-recipe-grid .cooked-recipe-info .cooked-right > span { float:right; }
	.cooked-recipe-grid .cooked-recipe-info .cooked-left > span,
	.cooked-recipe-grid .cooked-recipe-info .cooked-right > span { text-align:left; }

    .cooked-recipe-modern .cooked-recipe-info .cooked-left > span { float:left; }
    .cooked-recipe-modern .cooked-recipe-info .cooked-right > span { float:right; }
    .cooked-recipe-modern .cooked-recipe-info .cooked-left > span,
    .cooked-recipe-modern .cooked-recipe-info .cooked-right > span { text-align:left; }

    .cooked-recipe-modern { margin:5% -2.5%; width:105%; }
    .cooked-recipe-modern.cooked-columns-2 .cooked-recipe,
    .cooked-recipe-modern.cooked-columns-3 .cooked-recipe,
    .cooked-recipe-modern.cooked-columns-4 .cooked-recipe,
    .cooked-recipe-modern.cooked-columns-5 .cooked-recipe,
    .cooked-recipe-modern.cooked-columns-6 .cooked-recipe
    .cooked-recipe-modern .cooked-recipe { width:95%; margin:0 2.5% 5%; padding:0; }

    .cooked-recipe-fitness .cooked-recipe-info .cooked-left { float:left; }
    .cooked-recipe-fitness .cooked-recipe-info .cooked-right { float:right; }
    .cooked-recipe-fitness .cooked-recipe-info > section.cooked-right > span,
    .cooked-recipe-fitness .cooked-recipe-info > section.cooked-left > span { margin:0; }

    .cooked-recipe-fitness { margin:5% -2.5%; width:105%; }
    .cooked-recipe-fitness.cooked-columns-2 .cooked-recipe,
    .cooked-recipe-fitness.cooked-columns-3 .cooked-recipe,
    .cooked-recipe-fitness.cooked-columns-4 .cooked-recipe,
    .cooked-recipe-fitness.cooked-columns-5 .cooked-recipe,
    .cooked-recipe-fitness.cooked-columns-6 .cooked-recipe
    .cooked-recipe-fitness .cooked-recipe { width:95%; margin:0 2.5% 5%; padding:0; }

    .cooked-recipe-full .cooked-recipe-name,
    body .cooked-recipe-full .cooked-recipe .cooked-recipe-excerpt { max-width:100%; }
    .cooked-recipe-full .cooked-recipe-name { font-size:1.5em; }
    body .cooked-recipe-full .cooked-recipe p { font-size:0.9em !important; }

    .cooked-recipe-full .cooked-recipe-content { width:80%; }

    .cooked-fe-form .cooked-field.cooked-field-column-25 select { margin:0; }
    .cooked-fe-form .cooked-field.cooked-field-column-25 { width:50%; }
    .cooked-fe-form .cooked-field.cooked-field-column-25:nth-child(2n+2),
    .cooked-fe-form .cooked-field.cooked-field-column-25:nth-child(4n+4) { width:48%; padding:0; }

}

@media screen and ( max-width: <?php echo esc_html( $_cooked_settings['responsive_breakpoint_3'] ); ?>px ) {

    .cooked-recipe-compact .cooked-recipe-inside { width:70%; }
    .cooked-recipe-compact .cooked-recipe-inside.cooked-no-rating { width:90%; }
    .cooked-recipe-compact .cooked-recipe-info-wrap { width:30%; }
    .cooked-recipe-compact .cooked-recipe-thumb-wrap { display:none; }

    .cooked-recipe-full .cooked-recipe-name { font-size:1.25em; }
    body .cooked-recipe-full .cooked-recipe { margin-bottom:1em; }
    body .cooked-recipe-full .cooked-recipe p { font-size:0.9em !important; }
    .cooked-recipe-full .cooked-recipe-inside { float:none; width:100%; border-radius:0; text-align:center; top:auto; bottom:0; box-shadow:none; background:rgba(255,255,255,0.8) }

    .cooked-recipe-full .cooked-recipe-wrap { min-height:inherit; height:auto; }
    .cooked-recipe-full .cooked-recipe-content { margin:10px; width:auto; }

    .cooked-fe-form .cooked-field.cooked-field-column-25,
    .cooked-fe-form .cooked-field.cooked-field-column-33 { width:100%; padding:0; }
    .cooked-fe-form .cooked-field.cooked-field-column-33:nth-child(3n+3),
    .cooked-fe-form .cooked-field.cooked-field-column-25:nth-child(2n+2),
    .cooked-fe-form .cooked-field.cooked-field-column-25:nth-child(4n+4) { width:100%; }

}
