<?php global $atts; ?>
<form id="cooked-login" class="cooked-fe-form cooked-form-stacked cooked-clearfix" action="" method="post">

	<?php if ( !isset($atts['title']) || isset($atts['title']) && $atts['title'] == '1' ): ?><h2 class="cooked-form-title"><?php esc_html_e( 'Sign In', 'cooked-pro' ); ?></h2><?php endif; ?>

	<?php cooked_print_errors(); ?>

   	<?php do_action( 'cooked_login_fields_before' ); ?>

	<div class="cooked-field">
		<div class="cooked-label-side">
			<label for="cooked_user_login"><?php esc_html_e( 'Email or Username', 'cooked-pro' ); ?></label>
		</div>

		<div class="cooked-input-side">
			<input type="text" name="cooked_user_login" value="<?php echo ( isset( $_POST['cooked_user_login'] ) ? esc_attr( $_POST['cooked_user_login'] ) : '' ); ?>">
		</div>
	</div>

	<div class="cooked-field">
		<div class="cooked-label-side">
			<label for="cooked_user_pass"><?php esc_html_e( 'Password', 'cooked-pro' ); ?></label>
		</div>

		<div class="cooked-input-side">
			<input type="password" name="cooked_user_pass" value="">
		</div>
	</div>

	<div class="cooked-field cooked-field-bottom">
		<div class="cooked-input-side">
			<input type="checkbox" id="rememberme" name="remember" value="1"> <label for="rememberme"><?php esc_html_e( 'Remember Me', 'cooked-pro' ); ?></label>
		</div>
	</div>

	<input type="hidden" name="cooked_redirect" value="<?php echo esc_url( $atts['redirect'] ); ?>" />
	<input type="hidden" name="cooked_action" value="user_login" />
	<input type="hidden" name="cooked_login_nonce" value="<?php echo wp_create_nonce( 'cooked-login-nonce' ); ?>" />

	<div class="cooked-field">
		<div class="cooked-input-side">
			<input type="submit" class="cooked-button" name="login" value="<?php esc_attr_e( 'Sign in', 'cooked-pro' ); ?>">
			<?php if ( $atts['registration'] ): ?>&nbsp;&nbsp;&nbsp;<a href="<?php echo add_query_arg( 'register', true ); ?>"><?php esc_html_e( 'Need to register?', 'cooked-pro' ); ?></a><?php endif; ?>
		</div>
	</div>

	<?php do_action( 'cooked_login_fields_after' ); ?>

</form>
