<?php global $submit_atts; ?>

<form id="cooked-registration" class="cooked-fe-form cooked-form-stacked cooked-clearfix" action="" method="post">

	<?php if ( !isset($submit_atts['title']) || isset($submit_atts['title']) && $submit_atts['title'] == '1' ): ?><h2 class="cooked-form-title"><?php esc_html_e( 'Registration', 'cooked-pro' ); ?></h2><?php endif; ?>

	<?php cooked_print_errors(); ?>

   	<?php do_action( 'cooked_register_fields_before' ); ?>

	<div class="cooked-field">
		<div class="cooked-label-side">
			<label for="cooked_user_login"><?php esc_html_e( 'Username', 'cooked-pro' ); ?></label>
		</div>

		<div class="cooked-input-side">
			<input type="text" name="cooked_user_login" value="<?php echo ( isset( $_POST['cooked_user_login'] ) ? esc_attr( $_POST['cooked_user_login'] ) : '' ); ?>">
		</div>
	</div>

	<div class="cooked-field">
		<div class="cooked-label-side">
			<label for="cooked_user_email"><?php esc_html_e( 'Email', 'cooked-pro' ); ?></label>
		</div>

		<div class="cooked-input-side">
			<input type="text" name="cooked_user_email" value="<?php echo ( isset( $_POST['cooked_user_email'] ) ? esc_attr( $_POST['cooked_user_email'] ) : '' ); ?>">
		</div>
	</div>

	<div class="cooked-field">
		<div class="cooked-label-side">
			<label for="cooked_user_pass"><?php esc_html_e( 'Password', 'cooked-pro' ); ?></label>
		</div>

		<div class="cooked-input-side">
			<input type="password" name="cooked_user_pass" value="">
		</div>
	</div>

	<div class="cooked-field cooked-field-bottom">
		<div class="cooked-label-side">
			<label for="cooked_user_pass2"><?php esc_html_e( 'Confirm Password', 'cooked-pro' ); ?></label>
		</div>

		<div class="cooked-input-side">
			<input type="password" name="cooked_user_pass2" value="">
		</div>
	</div>

	<input type="hidden" name="cooked_honeypot" value="" />
	<input type="hidden" name="cooked_redirect" value="<?php echo ( $submit_atts['redirect'] ? esc_url( $submit_atts['redirect'] ) : esc_url( get_permalink() ) ); ?>" />
	<input type="hidden" name="cooked_action" value="user_register" />
	<input type="hidden" name="cooked_register_nonce" value="<?php echo wp_create_nonce( 'cooked-register-nonce' ); ?>" />

	<?php do_action( 'cooked_register_fields_before_submit' ); ?>

	<div class="cooked-field">
		<div class="cooked-input-side">
			<input type="submit" class="cooked-button" name="cooked_register_submit" value="<?php esc_attr_e( 'Register', 'cooked-pro' ); ?>">
			&nbsp;&nbsp;&nbsp;<a href="<?php echo get_permalink(); ?>"><?php esc_html_e( 'Back to sign in?', 'cooked-pro' ); ?></a>
		</div>
	</div>

	<?php do_action( 'cooked_register_fields_after' ); ?>

</form>
