<?php

global $recipe,$recipe_settings,$_cooked_settings,$is_own_profile;

$recipe_post = get_post( $recipe['id'] );
$recipe_settings = Cooked_Recipes::get( $recipe['id'], true );
$recipe_classes = apply_filters( 'cooked_single_recipe_classes', array( 'cooked-recipe', 'has-post-thumbnail' ), $recipe );
if ( is_array($recipe_classes) && !empty($recipe_classes) ):
    array_walk($recipe_classes, 'esc_attr');
else:
    $recipe_classes = array();
endif;

echo '<article id="cooked-recipe-' . $recipe['id'] . '" class="' . implode( ' ', $recipe_classes ) . '">';

    do_action( 'cooked_recipe_manage_before_recipe', $recipe );

    echo '<div class="cooked-recipe-wrap cooked-clearfix">';

        echo '<div class="cooked-recipe-thumb-wrap">';

            do_action( 'cooked_recipe_manage_before_image', $recipe );

            if ( has_post_thumbnail( $recipe_post ) && $recipe_thumb = get_the_post_thumbnail( $recipe_post, array( 200,200 ) ) ):
                echo '<a class="cooked-recipe-image" href="' . get_permalink( $recipe['id'] ) . '">';
                    echo $recipe_thumb;
                echo '</a>';
            else:
                echo '<a class="cooked-recipe-image-empty" href="' . get_permalink( $recipe['id'] ) . '"></a>';
            endif;

            do_action( 'cooked_recipe_manage_after_image', $recipe );

        echo '</div>';

        echo '<div class="cooked-recipe-inside">';

            do_action( 'cooked_recipe_manage_before_name', $recipe );

            echo '<span class="cooked-recipe-name"><a href="' . get_permalink( $recipe['id'] ) . '">' . $recipe['title'] . '</a></span>';

            do_action( 'cooked_recipe_manage_after_name', $recipe );

        echo '</div>';

    echo '</div>';

    do_action( 'cooked_recipe_manage_after_recipe', $recipe );

    echo '<div class="cooked-recipe-delete-wipe"></div>';

echo '</article>';

wp_reset_query();
