<?php

$_cooked_settings = Cooked_Settings::get();

?>@media screen and ( max-width: <?php echo esc_html( $_cooked_settings['responsive_breakpoint_2'] ); ?>px ) {

	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap,
	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap { text-align:left; width:100%; }

	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap:before,
	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap:after,
	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap:before,
	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap:after,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap:before,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap:after { border:none; }

	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap > a,
	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap > span,
	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap > a,
	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap > span,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap > a,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap > span {
		text-align:center; float:none; display:inline-block; width:19.2%; margin:0 1% 0 0;
	}

	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap > span:last-child,
	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap > a:last-child,
	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap > span:last-child,
	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap > a:last-child,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap > span:last-child,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap > a:last-child { margin-right:0; }

}

@media screen and ( max-width: <?php echo esc_html( $_cooked_settings['responsive_breakpoint_3'] ); ?>px ) {

	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap,
	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap {
	    width: 102%;
	    margin: 0 -1%;
	}

  	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap > a,
	.cooked-sharing-actions.cooked-aligned-right .cooked-sharing-wrap > span,
	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap > a,
	.cooked-sharing-actions.cooked-aligned-left .cooked-sharing-wrap > span,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap > a,
	.cooked-sharing-actions.cooked-aligned-center .cooked-sharing-wrap > span {
		width:48%; margin:0 1% 2% 1%;
	}

}
